require( "scripts/style.lua" );

TextStyle=
{
	parent=DialogBodyText,
	x=0,y=146,w=kMax,h=kMax-80
};

gImage = "";

MakeDialog
{
	name="HiddenObject",
	
	HiddenObject
		{
			x=0,
			y=0,
			w=1024,
			h=768,
			rows=gRows,
			columns=gColumns,
			
			edgebounce=0.5,		-- How bouncy is the edge
			damping=0.95,		-- How much damping they experience
			butterflypull=3,	-- How much they're pulled to your mouse
			butterflyrepel=80	-- How much they push each other apart
			
		},
		

--		Text
--			{
--			font = SceneTempFont,
--			name = "hiddenobject",
--			align=kHAlignLeft + kVAlignTop,
--			AppendStyle{ font = { standardFont, size, Color(255,255,255,255)} },
--			x=-1,y=-1,
--			w=kMax-20,h=kMax,
--			flags=kHAlignCenter+kVAlignCenter,
--			label="hiddenobject",
--			},
	
--	SetStyle(ButtonStyle),
--		Button
--			{
--				label="back",
--				name="back",
--				cancel=true,
--				close = (true);
--				align=kHAlignLeft+kVAlignBottom,
--				x=20,y=kMax-20,
--				command=function() 
--				end;
--			},

	SetStyle(HintButtonStyle),
		Button
			{
				label="",
				name="hintButton",
				cancel=true,
				close = (true);
				align=kHAlignLeft+kVAlignBottom,
				x=875,y=kMax-58,
				command=function()
				end;
			},
	SetStyle(OptionsButtonStyle),
		Button
			{
				label="",
				name="optionsButton",
				--cancel=true,
				--close = (true);
				align=kHAlignLeft+kVAlignBottom,
				x=37,y=kMax-18,
				command=function()
					DoModal("scripts/options.lua");
				end;
			},
	SetStyle(JournalButtonStyle),
		Button
			{
				label="",
				name="journalButton",
				--cancel=true,
				--close = (true);
				align=kHAlignLeft+kVAlignBottom,
				x=15,y=kMax-105,
				command=function()
					DoModal("scripts/journal.lua");
				end;
			},
	SetStyle(MapButtonStyle),
		Button
			{
				label="",
				name="mapButton",
				--cancel=true,
				--close = (true);
				align=kHAlignLeft+kVAlignBottom,
				x=875,y=kMax-6,
				command=function()
					DoModal("scripts/map.lua");
				end;
			},

}
